/cosmos/tx/v1beta1/txs
POST
BroadcastTx broadcast transaction.
Request Body
tx_bytesstring
tx_bytes is the raw transaction.modestring
BroadcastMode specifies the broadcast mode for the TxService.Broadcast RPCmethod.Responses
TxResponse defines a structure containing relevant tx data and metadata. Thetags are stringified and the log is JSON decoded.
heightstring
txhashstring
The transaction hash.codespacestring
codeinteger
Response code.datastring
Result bytes, if any.raw_logstring
The output of the application's logger (raw string). May benon-deterministic.The output of the application's logger (typed). May be non-deterministic.
msg_indexinteger
logstring
Events contains a slice of Event objects that were emitted during someexecution.
typestring
keystring
valuestring
infostring
Additional information. May be non-deterministic.gas_wantedstring
Amount of gas requested for transaction.gas_usedstring
Amount of gas consumed by transaction.Any contains an arbitrary serialized protocol buffer message along with aURL that describes the type of the serialized message.Protobuf library provides support to pack/unpack Any values in the formof utility functions or additional generated methods of the Any type.Example 1: Pack and unpack a message in C++. Foo foo = ...; Any any; any.PackFrom(foo); ... if (any.UnpackTo(&foo)) { ... }Example 2: Pack and unpack a message in Java. Foo foo = ...; Any any = Any.pack(foo); ... if (any.is(Foo.class)) { foo = any.unpack(Foo.class); } // or ... if (any.isSameTypeAs(Foo.getDefaultInstance())) { foo = any.unpack(Foo.getDefaultInstance()); }Example 3: Pack and unpack a message in Python. foo = Foo(...) any = Any() any.Pack(foo) ... if any.Is(Foo.DESCRIPTOR): any.Unpack(foo) ...Example 4: Pack and unpack a message in Go foo := &pb.Foo{...} any, err := anypb.New(foo) if err != nil { ... } ... foo := &pb.Foo{} if err := any.UnmarshalTo(foo); err != nil { ... }The pack methods provided by protobuf library will by default use'type.googleapis.com/full.type.name' as the type URL and the unpackmethods only use the fully qualified type name after the last '/'in the type URL, for example "foo.bar.com/x/y.z" will yield typename "y.z".JSONThe JSON representation of an Any value uses the regularrepresentation of the deserialized, embedded message, with anadditional field @type which contains the type URL. Example: package google.profile; message Person { string first_name = 1; string last_name = 2; } { "@type": "type.googleapis.com/google.profile.Person", "firstName": <string>, "lastName": <string> }If the embedded message type is well-known and has a custom JSONrepresentation, that representation will be embedded adding a fieldvalue which holds the custom JSON in addition to the @typefield. Example (for message [google.protobuf.Duration][]): { "@type": "type.googleapis.com/google.protobuf.Duration", "value": "1.212s" }type_urlstring
A URL/resource name that uniquely identifies the type of the serializedprotocol buffer message. This string must contain at leastone "/" character. The last segment of the URL's path must representthe fully qualified name of the type (as inpath/google.protobuf.Duration). The name should be in a canonical form(e.g., leading "." is not accepted).In practice, teams usually precompile into the binary all types that theyexpect it to use in the context of Any. However, for URLs which use thescheme http, https, or no scheme, one can optionally set up a typeserver that maps type URLs to message definitions as follows:- If no scheme is provided,
httpsis assumed. - An HTTP GET on the URL must yield a [google.protobuf.Type][]
- Applications are allowed to cache lookup results based on the
http, https (or the empty scheme) might beused with implementation specific semantics.valuestring
Must be a valid serialized protocol buffer of the above specified type.timestampstring
Time of the previous block. For heights > 1, it's the weighted median ofthe timestamps of the valid votes in the block.LastCommit. For height == 1,it's genesis time.All events emitted during transaction processing. Includes events from all message processing and ante execution. Logs contain only events emitted during message processing, plus additional metadata.
typestring
keystring
valuestring
indexboolean
codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "An unexpected error response."}
cURL
curl -X POST 'https://rest-cronospos-mainnet.nodit.io/cosmos/tx/v1beta1/txs' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo'